io.vertx.reactivex.ext.shell.command

## Class CommandRegistry

- java.lang.Object
- - io.vertx.reactivex.ext.shell.command.CommandResolver
  - - io.vertx.reactivex.ext.shell.command.CommandRegistry

-     public class CommandRegistry
      extends CommandResolver

  A registry that contains the commands known by a shell.

  It is a mutable command resolver.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<CommandRegistry>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandRegistry(CommandRegistry delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandRegistry` | `create(Vertx vertx)` Create a new registry.
    `boolean` | `equals(Object o)`
    `CommandRegistry` | `getDelegate()`
    `static CommandRegistry` | `getShared(Vertx vertx)` Get the shared registry for the Vert.x instance.
    `int` | `hashCode()`
    `static CommandRegistry` | `newInstance(CommandRegistry arg)`
    `CommandRegistry` | `registerCommand(Command command)` Like `registerCommand(io.vertx.reactivex.ext.shell.command.Command)`, without a completion handler.
    `CommandRegistry` | `registerCommand(Command command, Handler<AsyncResult<Command>> completionHandler)` Register a command
    `CommandRegistry` | `registerCommands(List<Command> commands)` Like `registerCommands(java.util.List<io.vertx.reactivex.ext.shell.command.Command>)`, without a completion handler.
    `CommandRegistry` | `registerCommands(List<Command> commands, Handler<AsyncResult<List<Command>>> completionHandler)` Register a list of commands.
    `Single<Command>` | `rxRegisterCommand(Command command)` Register a command
    `Single<List<Command>>` | `rxRegisterCommands(List<Command> commands)` Register a list of commands.
    `Completable` | `rxUnregisterCommand(String commandName)` Unregister a command.
    `String` | `toString()`
    `CommandRegistry` | `unregisterCommand(String commandName)` Like `unregisterCommand(java.lang.String)`, without a completion handler.
    `CommandRegistry` | `unregisterCommand(String commandName, Handler<AsyncResult<Void>> completionHandler)` Unregister a command.

    - ### Methods inherited from class io.vertx.reactivex.ext.shell.command.CommandResolver

      `baseCommands, commands, getCommand, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CommandRegistry> __TYPE_ARG

  - ### Constructor Detail

    - #### CommandRegistry

          public CommandRegistry(CommandRegistry delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `CommandResolver`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `CommandResolver`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CommandResolver`

    - #### getDelegate

          public CommandRegistry getDelegate()

      Overrides:
        `getDelegate` in class `CommandResolver`

    - #### getShared

          public static CommandRegistry getShared(Vertx vertx)

      Get the shared registry for the Vert.x instance.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the shared registry

    - #### create

          public static CommandRegistry create(Vertx vertx)

      Create a new registry.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the created registry

    - #### registerCommand

          public CommandRegistry registerCommand(Command command)

      Like `registerCommand(io.vertx.reactivex.ext.shell.command.Command)`, without a completion handler.
      Parameters:
        `command` -
      Returns:

    - #### registerCommand

          public CommandRegistry registerCommand(Command command,
                                                 Handler<AsyncResult<Command>> completionHandler)

      Register a command
      Parameters:
        `command` - the command to register
        `completionHandler` - notified when the command is registered
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxRegisterCommand

          public Single<Command> rxRegisterCommand(Command command)

      Register a command
      Parameters:
        `command` - the command to register
      Returns:
        a reference to this, so the API can be used fluently

    - #### registerCommands

          public CommandRegistry registerCommands(List<Command> commands)

      Like `registerCommands(java.util.List<io.vertx.reactivex.ext.shell.command.Command>)`, without a completion handler.
      Parameters:
        `commands` -
      Returns:

    - #### registerCommands

          public CommandRegistry registerCommands(List<Command> commands,
                                                  Handler<AsyncResult<List<Command>>> completionHandler)

      Register a list of commands.
      Parameters:
        `commands` - the commands to register
        `completionHandler` - notified when the command is registered
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxRegisterCommands

          public Single<List<Command>> rxRegisterCommands(List<Command> commands)

      Register a list of commands.
      Parameters:
        `commands` - the commands to register
      Returns:
        a reference to this, so the API can be used fluently

    - #### unregisterCommand

          public CommandRegistry unregisterCommand(String commandName)

      Like `unregisterCommand(java.lang.String)`, without a completion handler.
      Parameters:
        `commandName` -
      Returns:

    - #### unregisterCommand

          public CommandRegistry unregisterCommand(String commandName,
                                                   Handler<AsyncResult<Void>> completionHandler)

      Unregister a command.
      Parameters:
        `commandName` - the command name
        `completionHandler` - notified when the command is unregistered
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxUnregisterCommand

          public Completable rxUnregisterCommand(String commandName)

      Unregister a command.
      Parameters:
        `commandName` - the command name
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static CommandRegistry newInstance(CommandRegistry arg)

Copyright © 2019 Eclipse. All rights reserved.